## PhoshLocationInfo

PhoshLocationInfo — A widget to display the location service status

## Functions

GtkWidget * | phosh_location_info_new ()

## Properties

gboolean | active | Read / Write

## Types and Values

#define | PHOSH_TYPE_LOCATION_INFO
| PhoshLocationInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshStatusIcon
                            ╰── PhoshLocationInfo

## Implemented Interfaces

PhoshLocationInfo implements AtkImplementorIface and GtkBuildable.

## Description

PhoshLocationInfo indicates if the location service is active. The widgets container should hide the widget if “active” is `FALSE`.

## Functions

### phosh_location_info_new ()

    GtkWidget *
    phosh_location_info_new (void);

## Types and Values

### PHOSH_TYPE_LOCATION_INFO

    #define PHOSH_TYPE_LOCATION_INFO (phosh_location_info_get_type ())

### PhoshLocationInfo

    typedef struct _PhoshLocationInfo PhoshLocationInfo;

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether the location service is active (in use).

Owner: PhoshLocationInfo

Flags: Read / Write

Default value: FALSE